import graphsurgeon as gs
import tensorflow as tf


def preprocess(dynamic_graph, input_shape):
    Input = gs.create_node("Input", op="Placeholder", dtype=tf.float32, shape=input_shape, data_format='NCHW')
    
    namespace_plugin_map = {
    "Placeholder": Input
    }

    dynamic_graph.collapse_namespaces(namespace_plugin_map)