import graphsurgeon as gs
import tensorflow as tf
import pdb
#create a placeholder for input

Input = gs.create_node("Input",
    op="Placeholder",
    dtype=tf.float32,
    shape=[1, 3, 361, 641])

Pad_1 = gs.create_plugin_node("Pad_1", op="Pad_Custom",dtype=tf.float32)

namespace_plugin_map = {
    "Placeholder":Input,
    "Pad":Pad_1
}

def preprocess(dynamic_graph):
    # Now create a new graph by collapsing namespaces
    dynamic_graph.collapse_namespaces(namespace_plugin_map)
    # Remove the outputs, so we just have a single output node (NMS).
    dynamic_graph.remove(dynamic_graph.graph_outputs, remove_exclusive_dependencies=False)




